/ comp / gb.opengl / gl / ortho
Gl.Ortho (gb.opengl)
Syntax

    STATIC SUB Ortho ( Left AS Float, Right AS Float, Bottom AS Float, Top AS Float, Near AS Float, Far AS Float )

### Multiply the current matrix by an orthographic matrix

#### Parameters

- Left, Right specify the coordinates for the left and right vertical clipping planes.

- Bottom, Top specify the coordinates for the bottom and top horizontal clipping planes.

- Near, Far specify the distances to the nearer and farther depth clipping planes. These distances are negative if the plane is to be behind the viewer.

#### Description

Gl.Ortho describes a matrix that produces a parallel projection. (Left, Bottom, -Near) and (Right, Top, -Near) specify the points on the near clipping plane that are mapped to the lower left and upper right corners of the window, respectively, assuming that the eye is located at (0, 0, 0). -Far specifies the location of the far clipping plane. Both near and far can be either positive or negative. The corresponding matrix is
where

The current matrix is multiplied by this matrix with the result replacing the current matrix. That is, if M is the current matrix and O is the ortho matrix, then M is replaced with M * O.

Use Gl.PushMatrix and Gl.PopMatrix to save and restore the current matrix stack.

#### Errors

Gl.GL_INVALID_OPERATION is generated if Gl.Ortho is called between a call to Gl.Begin and the corresponding call to Gl.End.

#### Associated Gets

Gl.GetMatrixMode
Gl.GetModelviewMatrix
Gl.GetProjectionMatrix
Gl.GetTextureMatrix

### See also

Gl.Frustum, Gl.MatrixMode , Gl.MultMatrixf, Gl.PushMatrix , Gl.Viewport